### Struct

# FwupdPlugin UsbDescriptorHdr

#### Description

    struct FuUsbDescriptorHdr {
      guint8 buf[];
      guint refcount;
    }

No description available.

###### Structure members

`buf:` `guint8`

  No description available.

`refcount:` `guint`

  No description available.

#### Functions

###### fu_usb_descriptor_hdr_parse_stream

No description available.

#### Instance methods

###### fu_usb_descriptor_hdr_get_attributes

No description available.

###### fu_usb_descriptor_hdr_get_configuration

No description available.

###### fu_usb_descriptor_hdr_get_configuration_value

No description available.

###### fu_usb_descriptor_hdr_get_length

No description available.

###### fu_usb_descriptor_hdr_get_max_power

No description available.

###### fu_usb_descriptor_hdr_get_num_interfaces

No description available.

###### fu_usb_descriptor_hdr_get_total_length

No description available.

###### fu_usb_descriptor_hdr_ref

No description available.

###### fu_usb_descriptor_hdr_unref

No description available.